<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous"></link>
        <title>Acesso Restrito</title>

        <style>

            h1{
                font-size: 45px;
                font-family: monospace;
            }
        </style>
        <!--
                <script type="text/javascript">
        
                    function validacao() {
        
                        var formulario = document.form;
                        var nome = formulario.usuario;
                        var senha = formulario.senha;
        
                        if (nome.value === "root" &amp; &amp; senha.value === "root"){
                            alert("Bem vindo!!!");
                            window.open('http://localhost:8080/Uc16/AcessoRestrito/index.xhtml');
                        }
        
                        if (nome.value === "" || senha.value === "") {
                            alert("Por favor preencher os campos.");
                        }
        
                    }
                </script>
        -->
    </h:head>

    <h:body>
        <center>           

            <h1>Acesso Restrito</h1>

            <br></br>
            <hr></hr>   

            <img src="../resources/login/login.png" width="200px"></img>

            <br></br>
            <hr></hr>

            <h:form prependId="false" class="form">

                <div class="form-group col-3">  
                    <h:outputLabel for="nome" value="Usuário:"/><br/>
                    <p:inputText  placeholder="Usuário" required="true" requiredMessage="Campo Username obrigatorio" id="nome" class="form-control" 
                                  value="#{loginBean.usuario.nome}" />
                  
                </div>

                <div class="form-group col-3">
                    <h:outputLabel for="senha"  value="Senha:"/><br/>
                    <p:inputText placeholder="Senha" type="password" required="true" requiredMessage="Campo Username obrigatorio" id="senha" class="form-control"
                                 value="#{loginBean.usuario.senha}" />
                </div>

                <div class="form-group">
                    <p:commandButton  action="#{loginBean.restrito}"  class="btn btn-info btn-md" value="Entrar" />
                </div>

            </h:form>    



            <br></br>

            <a href="../index.xhtml"><button type="submit" class="btn btn-outline-secondary">Voltar</button></a>
        </center>

    </h:body>
</html>

